<?php
// ------------------------------------------------------------------------------
// Dit is een voorbeeld script voor het uitlezen van de laatse HUM waarde
// uit een kolom van een (MySQL) database waarin Ochsner Wamtepomp gegevens staan
//
// 2014-12-21 door Sebastiaan Ebeltjes.
// ------------------------------------------------------------------------------

// Inladen van de instellingen.
include 'instellingen.php';

// Lokale instellingen.
$tabelnaam = "warmtepomp";
$VLAG = 0;

// Datum van vandaag
$datum_iso = date('Y-m-d');

// een GOTO anker als en geen gegevens zijn gevonden.
beginscript:

// Explodeer datum in 3 variabelen.
list($DY, $DM, $DD) = explode('-', $datum_iso);

// Maak connectie met de database.
$dbcon = mysqli_connect($database_adres, $database_login_naam, $database_login_wachtwoord, $database_naam);

// Is de connectie gelukt?, zo niet...geef een foutmelding en sluit het script!
if (mysqli_connect_errno()) { exit; }

$query="
SELECT
	TH, TM, TS, HUM_REL
FROM
	" . $tabelnaam . "
WHERE
	DY = " . $DY . " AND DM = " . $DM . " AND DD = " . $DD . "
ORDER BY
	UNIX_TIME
DESC LIMIT 1;
";

// Voer de query uit.
$data = mysqli_query($dbcon, $query);
// Zet het resultaat van de gevevens in een array.
$resultaat = mysqli_fetch_assoc($data);
// Zet de laatste waarde HUM uit de gegevens (resultaat) in een variabele.
$HUM_REL = $resultaat['HUM_REL'];
$TH = $resultaat['TH'];
$TM = $resultaat['TM'];
$TS = $resultaat['TS'];

if ($HUM_REL < 1 AND $VLAG == 0) {
	// Er is "vandaag" geen data aanwezig, ga een dag terug.
	$unix_time = mktime(0, 0, 0, date("m"), date("d"), date("Y"));
	$dag_terug = strtotime('-1 day', $unix_time);
	$datum_iso = date('Y-m-d', $dag_terug);
	// Mochten er totaal geen database gegevens zijn zet VLAG op 1 anders blijft het script voor altijd doorlopen.
	$VLAG = 1;
	goto beginscript;
} else {
	// Niets doen.
}
// Sluit de database connectie.
mysqli_close($dbcon);
?>
